curl --request POST \
--url https://grantex-auth-dd4mtrt2gq-uc.a.run.app/v1/anomalies/detect \
--header 'Authorization: Bearer <token>'{
"detectedAt": "2023-11-07T05:31:56Z",
"total": 123,
"anomalies": [
{
"id": "<string>",
"type": "rate_spike",
"severity": "low",
"agentId": "<string>",
"principalId": "<string>",
"description": "<string>",
"metadata": {},
"detectedAt": "2023-11-07T05:31:56Z",
"acknowledgedAt": "2023-11-07T05:31:56Z"
}
]
}Scans recent activity for anomalous patterns: rate spikes, high failure rates, new principals, and off-hours activity.
curl --request POST \
--url https://grantex-auth-dd4mtrt2gq-uc.a.run.app/v1/anomalies/detect \
--header 'Authorization: Bearer <token>'{
"detectedAt": "2023-11-07T05:31:56Z",
"total": 123,
"anomalies": [
{
"id": "<string>",
"type": "rate_spike",
"severity": "low",
"agentId": "<string>",
"principalId": "<string>",
"description": "<string>",
"metadata": {},
"detectedAt": "2023-11-07T05:31:56Z",
"acknowledgedAt": "2023-11-07T05:31:56Z"
}
]
}